<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style type="text/css" media="screen">
		div{
			width:10px;
			height:10px;
			position:absolute;
			top:0px;
			left:0px;
			/*border-radius: 100%;*/
			background-color: black;
		}
	</style>
	<script type="text/javascript">
		// 1 opcion
		// setTimeout 
		// ejecuta algo despues de n milisegundos
		// 2 opcion
		// setInterval
		// ejecuta algo cada n milisegundos
		window.addEventListener("load",(e)=>{
			let cursor=document.querySelector("div");
			let apuntador;

			cursor.style.left="0px";
			cursor.style.width="10px";
			
			setTimeout((e) => {
			  clearInterval(apuntador);
			}, 1000000)
			
			apuntador=setInterval((e) => {
		   		//cursor.style.left=parseInt(cursor.style.left)+1+"px";
		   		cursor.style.width=parseInt(cursor.style.width)+10+"px";
		 	}, 1000); 
		})
		
	</script>
</head>
<body>
	<div>&nbsp</div>
</body>
</html>